Index: c/src/libmisc/assoc/Makefile.in
===================================================================
--- c/src/libmisc/assoc/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
+++ c/src/libmisc/assoc/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
@@ -0,0 +1,51 @@
+#	
+#  $Id$
+#
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH=@srcdir@
+
+LIB=${ARCH}/libassoc-tmp.a
+
+# C source names, if any, go here -- minus the .c
+C_PIECES=assoc
+C_FILES=$(C_PIECES:%=%.c)
+C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
+
+H_FILES=$(srcdir)/assoc.h
+
+SRCS=$(C_FILES) $(H_FILES) $(INSTALLED_H_FILES)
+OBJS=$(C_O_FILES)
+
+include $(RTEMS_CUSTOM)
+include $(PROJECT_ROOT)/make/lib.cfg
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+DEFINES  +=
+CPPFLAGS += -I.
+CFLAGS   +=
+
+LD_PATHS  +=
+LD_LIBS   +=
+LDFLAGS   +=
+
+#
+# Add your list of files to delete here.  The config files
+#  already know how to delete some stuff, so you may want
+#  to just run 'make clean' first to see what gets missed.
+#  'make clobber' already includes 'make clean'
+#
+
+CLEAN_ADDITIONS +=
+CLOBBER_ADDITIONS +=
+
+${LIB}: ${SRCS} ${OBJS}
+	$(make-library)
+
+all:	${ARCH} $(SRCS) $(LIB)
+	$(INSTALL) -m 444 ${H_FILES} ${PROJECT_RELEASE}/include/rtems
Index: c/src/libmisc/error/Makefile.in
===================================================================
--- c/src/libmisc/error/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
+++ c/src/libmisc/error/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
@@ -0,0 +1,51 @@
+#	
+#  $Id$
+#
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH=@srcdir@
+
+LIB=${ARCH}/liberror-tmp.a
+
+# C source names, if any, go here -- minus the .c
+C_PIECES=error
+C_FILES=$(C_PIECES:%=%.c)
+C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
+
+H_FILES=$(srcdir)/error.h
+
+SRCS=$(C_FILES) $(H_FILES) $(INSTALLED_H_FILES)
+OBJS=$(C_O_FILES)
+
+include $(RTEMS_CUSTOM)
+include $(PROJECT_ROOT)/make/lib.cfg
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+DEFINES  +=
+CPPFLAGS += -I.
+CFLAGS   +=
+
+LD_PATHS  +=
+LD_LIBS   +=
+LDFLAGS   +=
+
+#
+# Add your list of files to delete here.  The config files
+#  already know how to delete some stuff, so you may want
+#  to just run 'make clean' first to see what gets missed.
+#  'make clobber' already includes 'make clean'
+#
+
+CLEAN_ADDITIONS +=
+CLOBBER_ADDITIONS +=
+
+${LIB}: ${SRCS} ${OBJS}
+	$(make-library)
+
+all:	${ARCH} $(SRCS) $(LIB)
+	$(INSTALL) -m 444 ${H_FILES} ${PROJECT_RELEASE}/include/rtems
Index: c/src/libmisc/monitor/Makefile.in
===================================================================
--- c/src/libmisc/monitor/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
+++ c/src/libmisc/monitor/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
@@ -0,0 +1,57 @@
+#
+#  $Id$
+#
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH=@srcdir@
+
+LIB=${ARCH}/libmonitor-tmp.a
+# C source names, if any, go here -- minus the .c
+C_PIECES=mon-command mon-symbols mon-prmisc mon-monitor mon-object mon-server \
+	 mon-task mon-queue mon-driver mon-dname mon-itask \
+	 mon-extension mon-manager mon-config mon-mpci
+C_FILES=$(C_PIECES:%=%.c)
+C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
+
+H_FILES=
+INSTALLED_H_FILES=$(srcdir)/monitor.h $(srcdir)/symbols.h
+
+SRCS=README $(C_FILES) $(H_FILES) $(INSTALLED_H_FILES)
+OBJS=$(C_O_FILES)
+
+include $(RTEMS_CUSTOM)
+include $(PROJECT_ROOT)/make/lib.cfg
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+DEFINES  +=
+CPPFLAGS += -I$(srcdir)
+CFLAGS   +=
+
+LD_PATHS  +=
+LD_LIBS   +=
+LDFLAGS   +=
+
+#
+# Add your list of files to delete here.  The config files
+#  already know how to delete some stuff, so you may want
+#  to just run 'make clean' first to see what gets missed.
+#  'make clobber' already includes 'make clean'
+#
+
+.PHONY: preinstall
+
+CLEAN_ADDITIONS +=
+CLOBBER_ADDITIONS +=
+
+${LIB}: ${SRCS} ${OBJS}
+	$(make-library)
+
+all:	preinstall ${ARCH} $(SRCS) $(LIB)
+
+preinstall: $(INSTALLED_H_FILES)
+	$(INSTALL) -m 444 ${INSTALLED_H_FILES} ${PROJECT_RELEASE}/include
Index: c/src/libmisc/stackchk/Makefile.in
===================================================================
--- c/src/libmisc/stackchk/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
+++ c/src/libmisc/stackchk/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
@@ -0,0 +1,52 @@
+#
+#  $Id$
+#
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH=@srcdir@
+
+LIB=${ARCH}/libstackchk-tmp.a
+
+# C source names, if any, go here -- minus the .c
+C_PIECES=check
+C_FILES=$(C_PIECES:%=%.c)
+C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
+
+H_FILES=internal.h
+INSTALLED_H_FILES=$(srcdir)/stackchk.h
+
+SRCS=$(C_FILES) $(H_FILES) $(INSTALLED_H_FILES)
+OBJS=$(C_O_FILES)
+
+include $(RTEMS_CUSTOM)
+include $(PROJECT_ROOT)/make/lib.cfg
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+DEFINES  +=
+CPPFLAGS +=
+CFLAGS   +=
+
+LD_PATHS  +=
+LD_LIBS   +=
+LDFLAGS   +=
+
+#
+# Add your list of files to delete here.  The config files
+#  already know how to delete some stuff, so you may want
+#  to just run 'make clean' first to see what gets missed.
+#  'make clobber' already includes 'make clean'
+#
+
+CLEAN_ADDITIONS +=
+CLOBBER_ADDITIONS +=
+
+${LIB}: ${SRCS} ${OBJS}
+	$(make-library)
+
+all:	${ARCH} $(SRCS) $(LIB)
+	 $(INSTALL) -m 444 ${INSTALLED_H_FILES} ${PROJECT_RELEASE}/include
Index: c/src/libmisc/wrapup/Makefile.in
===================================================================
--- c/src/libmisc/wrapup/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
+++ c/src/libmisc/wrapup/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
@@ -0,0 +1,40 @@
+#
+#  $Id$
+#
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH=@srcdir@
+
+LIB=$(ARCH)/libmisc.a
+
+#  Using the wildcard on the Purify support makes sure it may not be there
+
+LIBS=../monitor/$(ARCH)/libmonitor-tmp.a \
+     ../error/$(ARCH)/liberror-tmp.a \
+     ../assoc/$(ARCH)/libassoc-tmp.a \
+     ../stackchk/$(ARCH)/libstackchk-tmp.a \
+     $(wildcard ../purify/$(ARCH)/libpurify-tmp.a)
+RELS=
+
+include $(RTEMS_CUSTOM)
+include $(PROJECT_ROOT)/make/lib.cfg
+
+CLEAN_ADDITIONS +=
+CLOBBER_ADDITIONS +=
+
+$(LIB): ${LIBS} $(RELS)
+	$(RM) -r $(ARCH)
+	$(MKDIR) $(ARCH)
+	cd $(ARCH); for lib in $(LIBS:%=../%); do \
+                         $(AR) -xv $$lib; \
+                    done
+	# cd $(ARCH); $(LN) -s $(RELS:%=../%) .
+	$(RM) $@
+	$(AR) ruv $@ $(ARCH)/*
+	$(MKLIB) $@
+
+all:	${ARCH} $(SRCS) $(LIB)
+	$(INSTALL_VARIANT) -m 644 $(LIB) ${PROJECT_RELEASE}/lib
+
